## org.apache.axis.description
Class AttributeDesc

    java.lang.Object
      org.apache.axis.description.FieldDesc
          org.apache.axis.description.AttributeDesc

All Implemented Interfaces:
  java.io.Serializable

public class AttributeDesc
extends FieldDesc
implements java.io.Serializable

An AttributeDesc is a FieldDesc for an Java field mapping to an XML attribute

Author:
  Glen Daniels (gdaniels@apache.org)
See Also:
  Serialized Form

Constructor Summary
`AttributeDesc()`

Method Summary
`void` `setAttributeName(java.lang.String name)` Set the XML attribute's name, without giving it a namespace.

Methods inherited from class org.apache.axis.description.FieldDesc
`getFieldName, getJavaType, getXmlName, getXmlType, isElement, isIndexed, isMinOccursZero, setFieldName, setJavaType, setMinOccursIs0, setXmlName, setXmlType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AttributeDesc

    public AttributeDesc()

Method Detail

### setAttributeName

    public void setAttributeName(java.lang.String name)

  Set the XML attribute's name, without giving it a namespace. This is the most common usage for AttributeDescs.

Copyright © 2005 Apache Web Services Project. All Rights Reserved.